<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  layout:decorate="~{Layout}">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />


<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" />
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script
	src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script
	src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

<title>MyCrypt</title>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">

	<a class="navbar-brand" th:href="@{/home}">MyCrypt</a>
	<button class="navbar-toggler" type="button" data-toggle="collapse"
		data-target="#navbarNav" aria-controls="navbarNav"
		aria-expanded="false" aria-label="Toggle navigation">
		<span class="navbar-toggler-icon"></span>
	</button>
	<div class="collapse navbar-collapse" id="navbarNav">
		<ul class="navbar-nav">
			<li class="nav-item active"><a class="nav-link"
				th:href="@{/home}">Home <span class="sr-only">(current)</span></a></li>
			<li class="nav-item"><a class="nav-link"
				th:href="@{/registration}">Regisration</a></li>
			<li class="nav-item"><a class="nav-link" th:href="@{/home}">Login</a>
			</li>
			<li class="nav-item"><a class="nav-link disabled"
				th:href="@{/news}">News</a></li>
			<li class="nav-item"><a class="nav-link disabled"
				th:href="@{/hello}">My Page</a></li>
				<li class="nav-item"><a class="nav-link disabled"
				th:href="@{/checkout}">Donate</a></li>
				
				
		</ul>
	</div>
</nav>



</head>
<body>

	<div class="bd-example">
		<div id="carouselExampleCaptions" class="carousel slide"
			data-ride="carousel">
			<ol class="carousel-indicators">
				<li data-target="#carouselExampleCaptions" data-slide-to="0"
					class="active"></li>
				<li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
				<li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
			</ol>
			<div class="carousel-inner">
				<div class="carousel-item active">
					<img
						src="https://miro.medium.com/max/1108/1*BkkDPs1KqIQbfSyvF6sn7A.png"
						class="d-block w-100" alt="...">
					<div class="carousel-caption d-none d-md-block">
						<h5>
							<a class="link" th:href="@{/news}">Top news about crypto
								(click here)</a>
						</h5>
						<p>
							<a class="link" th:href="@{/news}">Bitcoin is a remarkable
								cryptographic achievement and the ability to create something
								that is not duplicable in the digital world has enormous value.”
								– Eric Schmidt (CEO of Google)</a>
						</p>
					</div>
				</div>
				<div class="carousel-item">
					<img
						src="https://vladimirribakov.com/wp-content/uploads/cryptocurency1.png"
						class="d-block w-100" alt="...">
					<div class="carousel-caption d-none d-md-block">
						<h5>
							<a class="link" th:href="@{/news}">Top news about crypto
								(click here)</a>
						</h5>
						<p>
							<a class="link" th:href="@{/news}">There are three eras of
								currency: Commodity based, politically based, and now, math
								based.” – Chris Dixon</a>
						</p>
					</div>
				</div>
				<div class="carousel-item">
					<img
						src="https://calvinayre.com/wp-content/uploads/2018/07/beckys-affiliated-blockchain-crypto-tbc-igb-live-next-week3.jpg"
						class="d-block w-100" alt="...">
					<div class="carousel-caption d-none d-md-block">
						<h5>
							<a class="link" th:href="@{/news}">Top news about crypto
								(click here)</a>
						</h5>
						<p>
							<a class="link" th:href="@{/news}">Fact You Need To Know
								About Cryptocurrency - The first Bitcoin purchase was for pizza.
								― Mohsin Jameel</a>
						</p>
					</div>
				</div>
			</div>
			<a class="carousel-control-prev" href="#carouselExampleCaptions"
				role="button" data-slide="prev"> <span
				class="carousel-control-prev-icon" aria-hidden="true"></span> <span
				class="sr-only">Previous</span>
			</a> <a class="carousel-control-next" href="#carouselExampleCaptions"
				role="button" data-slide="next"> <span
				class="carousel-control-next-icon" aria-hidden="true"></span> <span
				class="sr-only">Next</span>
			</a>
		</div>
	</div>





	<div>
	<table id="tabla" class="table table-striped table-dark">
		<thead>
			<tr>
				 <th><a class="sorted" sd:pagination-sort="id" >id</a></th>
				<td><a class="sorted" sd:pagination-sort="name">Name</a></td>
				<td><a class="sorted" sd:pagination-sort="symbol">Symbol</a></td>
				<td><a class="sorted" sd:pagination-sort="price">Price</a></td>
				<td>Updated at</td>
				<td>Volume 24h</td>
				<td >Percent change 1h</td>
				<td >Percent change 24h</td>
				

			</tr>
		</thead>

		<tbody>
			<tr th:each="cur : ${page}">
				<td th:text="${cur.getId()}">id</td>
				<td th:text="${cur.getName()}">name</td>
				<td th:text="${cur.getSymbol()}">symbol</td>
				<td th:text="${cur.getPrice()}">price</td>
				<td th:text="${cur.getUpdateAt()}">cupdatedAt</td>
				<td th:text="${cur.getVolume_24h()}">Volume 24h</td>
				<td th:text="${cur.getPercent_change_1h()}">Volume 24h</td>
				<td th:text="${cur.getPercent_change_24h()}">Volume 24h</td>
				
				</a></td>

			</tr>
		</tbody>
	</table></div>
<<div class="row">
    <div class="col-sm-6">
    	<div sd:pagination-summary="">info</div>
    </div>
    <div class="col-sm-6">
    <nav>
    <ul class="pagination" sd:pagination="aligned-links">
        <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
        <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true"></span></a></li>
        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
    </ul>
</nav>
    </div>
  <div class="btn-group dropup" sd:page-size-selector="dropdown"></div>
    
</div>

	<!--  <div class="row">
		<div class="form-group col-md-1">
			<select class="form-control pagination" id="pageSizeSelect">
				<option th:each="pageSize : ${pageSizes}" th:text="${pageSize}"
					th:value="${pageSize}"
					th:selected="${pageSize} == ${selectedPageSize}"></option>
			</select>
		</div>
		<div th:if="${clientlist.totalPages != 1}"
			class="form-group col-md-11 pagination-centered">
			<ul class="pagination">
				<li th:class="${clientlist.number == 0} ? disabled"><a
					class="pageLink"
					th:href="@{/(pageSize=${selectedPageSize}, page=1)}">«</a></li>
				<li th:class="${clientlist.number == 0} ? disabled"><a
					class="pageLink"
					th:href="@{/(pageSize=${selectedPageSize}, page=${clientlist.number})}">←</a>
				</li>
				<li
					th:class="${clientlist.number == (page - 1)} ? 'active pointer-disabled'"
					th:each="page : ${#numbers.sequence(pager.startPage, pager.endPage)}">
					<a class="pageLink"
					th:href="@{/(pageSize=${selectedPageSize}, page=${page})}"
					th:text="${page}"></a>
				</li>
				<li
					th:class="${clientlist.number + 1 == clientlist.totalPages} ? disabled">
					<a class="pageLink"
					th:href="@{/(pageSize=${selectedPageSize}, page=${clientlist.number + 2})}">→</a>
				</li>
				<li
					th:class="${clientlist.number + 1 == clientlist.totalPages} ? disabled">
					<a class="pageLink"
					th:href="@{/(pageSize=${selectedPageSize}, page=${clientlist.totalPages})}">»</a>
				</li>
			</ul>
		</div>
	</div>
	</div>

	</div>-->



</body>
<footer class="page-footer font-small unique-color-dark pt-4">

	<!-- Footer Elements -->
	<div class="container">

		<!-- Call to action -->
		<ul class="list-unstyled list-inline text-center py-2">
			<li class="list-inline-item">
				<h5 class="mb-1">Register for free</h5>
			</li>
			<li class="list-inline-item"><a th:href="@{/login}"
				class="btn btn-outline-white btn-rounded">Sign up!</a></li>
		</ul>


	</div>

	<div class="footer-copyright text-center py-3">© 2019 MyCrypt</div>


</footer>
<style>
.link {
	background: #000000; 
	color: #fff; 
	text-decoration: none;
}
</style>
</html>